%%%%%%%%%%%%%%%%%%%%%%%%%%%% FOR JHEPcls 3.1.0 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% vim: set tw=120:

%\documentclass[]{JHEP3} % 10pt is ignored!

\documentclass[11pt,usletter]{article}
\usepackage{jheppub}
\usepackage[utf8]{inputenc}
\usepackage{epsfig,multicol}
\usepackage[sort&compress,numbers]{natbib}
\usepackage{graphicx}
%= definitions =================================================================
\newcommand{\beq}{\begin{equation}}
\newcommand{\eeq}{\end{equation}}
\newcommand{\beqa}{\begin{eqnarray}}
\newcommand{\eeqa}{\end{eqnarray}}
\newcommand{\nn}{\nonumber}
\newcommand{\brem}{bremsstrahlung\ }
%===============================================================================


\title{Subtraction Functions for a NNLO Sector Shower}

\author[a]{Walter T.~Giele}
\author[b]{Christian  T.~Preuss}
\author[b]{Peter Skands}
\affiliation[a]{Theory Group, Fermilab, Batavia, USA}
\affiliation[b]{School of Physics \& Astronomy, Monash University, Wellington Road, Clayton, VIC-3800, Australia}
\emailAdd{giele@fnal.gov, christion.preuss@monash.edu, peter.skands@monash.edu}


\abstract{Using several methods we construct subtraction functions relevant for a sector shower at NNLO}

\keywords{QCD, Hadron Colliders, LHC}
\preprint{preprint FERMILAB-PUB-xx-yyy-T}
\arxivnumber{xxxx.yyyy}
\notoc
\begin{document}
\maketitle

\newpage

\section{Introduction}

\subsection{Summary}

Some definitions
\beq
d_{ij}=(p_i\cdot p_j);\ z_a=E_a/E_{\hat a}=d_{a\hat b}/d_{\hat a\hat b};\ z_b=E_b/E_{\hat b}=d_{\hat a b}/d_{\hat a\hat b}
\eeq
(Note that $z_a=z_b$, for now I kept $z_a$ and $z_b$.) 
\subsection{NLO sector antenna functions}
The single branching amplitude squared sector antenna functions $\hat a\hat b\rightarrow a1b$ are given by:
\beqa
A^{f_af_1f_b}(\hat a\hat b;a1b)&=&S(a1b)+\left(P^{f_af_1}_{\hat a\rightarrow a1}(z_a)-\lim_{\rho_{a1}\rightarrow 0}S(a1b)\right)
+\left(P^{f_af_1f_b}_{\hat b\rightarrow 1b}(z_b)-\lim_{\rho_{1b}\rightarrow 0}S(a1b)\right)\nonumber\\
&=&S(a1b)+\tilde P^{f_af_1}_{\hat a\rightarrow a1}(z_a)+\tilde P^{f_af_1f_b}_{\hat b\rightarrow 1b}(z_b)
\eeqa
giving
\beqa
A^{ggg}(\hat a\hat b;a1b)&=&\frac{2 d_{ab}}{d_{a1}d_{1b}}
+\frac{1}{d_{a1}}\left(\frac{(1-z_a)(1+z_a^2)}{z_a}\right)+\frac{1}{d_{1b}}\left(\frac{(1-z_b)(1+z_b^2)}{z_b}\right)
\nonumber\\
A^{qgg}(\hat a\hat b;a1b)&=&\frac{2 d_{ab}}{d_{a1}d_{1b}}+\frac{1}{d_{a1}}(1-z_a)+\frac{1}{d_{1b}}\left(\frac{(1-z_b)(1+z_b^2)}{z_b}\right)
\nonumber\\
A^{qg\bar q}(\hat a\hat b;a1b)&=&\frac{2 d_{ab}}{d_{a1}d_{1b}}+\frac{1}{d_{a1}}(1-z_a)+\frac{1}{d_{1b}}(1-z_b)
\eeqa
Note that when $E_g\rightarrow 0$ (i.e. $z_a,\,z_b\rightarrow 1$) the antenna function is trivially identical to the eikonal factor $S_{a1b}$ 
\newline
The single branching amplitude level sector antenna functions $\hat a\hat b\rightarrow a1b$ are given by:
\beqa\lefteqn{
{\cal A}^{f_af_1f_b}(\hat a^{\lambda_{\hat a}}\hat b^{\lambda_{\hat b}};a^{\lambda_a}1^{\lambda_1}b^{\lambda_b})}\nonumber\\
&=&{\cal S}^{\lambda_1}(a1b)+\left(\tilde{\cal P}_{\hat a\rightarrow a1}^{\lambda_{\hat a};\,\lambda_a\lambda_1}(z_a)-\lim_{\rho_{a1}\rightarrow 0}{\cal S}^{\lambda_1}(a1b)\right)
+\left(\tilde{\cal P}_{\hat b\rightarrow 1b}^{\lambda_{\hat b};\,\lambda_1\lambda_b}(z_b)-\lim_{\rho_{1b}\rightarrow 0}{\cal S}^{\lambda_1}(a1b)\right)
\nonumber\\
&=&{\cal S}^{\lambda_1}(a1b)
+\tilde{\cal P}_{\hat a\rightarrow a1}^{\lambda_{\hat a};\,\lambda_a\lambda_1}(z_a)
+\tilde{\cal P}_{\hat b\rightarrow 1b}^{\lambda_{\hat b};\,\lambda_1\lambda_b}(z_b)
\eeqa
Note that for certain helicity combination the splitting function is zero. In these cases we set $\tilde{\cal P}={\cal P}=0$.
We will list the helicity antenna functions with a positive gluon helicity. The ones with a negative gluon helicity can be
obtaiend by conjugation of the antenna function.
\beqa
{\cal A}^{ggg}(\hat a^+\hat b^+;a^+1^+b^+)&=&\frac{\sqrt{2}\langle ab\rangle}{\langle a1\rangle\langle 1b\rangle}
+\frac{\sqrt{2}}{\langle a1\rangle}\sqrt{\frac{1-z_a}{z_a}}+\frac{\sqrt{2}}{\langle 1b\rangle}\sqrt{\frac{1-z_b}{z_b}}
\nonumber\\
{\cal A}^{ggg}(\hat a^+\hat b^+;a^+1^+b^-)&=&\frac{\sqrt{2}\langle ab\rangle}{\langle a1\rangle\langle 1b\rangle}
+\frac{\sqrt{2}}{\langle a1\rangle}\sqrt{\frac{1-z_a}{z_a}}
\nonumber\\
{\cal A}^{ggg}(\hat a^+\hat b^+;a^-1^+b^+)&=&\frac{\sqrt{2}\langle ab\rangle}{\langle a1\rangle\langle 1b\rangle}
+\frac{\sqrt{2}}{\langle 1b\rangle}\sqrt{\frac{1-z_b}{z_b}}
\nonumber\\
{\cal A}^{ggg}(\hat a^+\hat b^+;a^-1^+b^-)&=&\frac{\sqrt{2}\langle ab\rangle}{\langle a1\rangle\langle 1b\rangle}
\nonumber\\
\nonumber\\
{\cal A}^{ggg}(\hat a^+\hat b^-;a^+1^+b^+)&=&\frac{\sqrt{2}\langle ab\rangle}{\langle a1\rangle\langle 1b\rangle}
+\frac{\sqrt{2}}{\langle a1\rangle}\sqrt{\frac{1-z_a}{z_a}}
-\frac{\sqrt{2}}{\langle 1b\rangle}\sqrt{z_b(1-z_b)}
\nonumber\\
{\cal A}^{ggg}(\hat a^+\hat b^-;a^+1^+b^-)&=&\frac{\sqrt{2}\langle ab\rangle}{\langle a1\rangle\langle 1b\rangle}
+\frac{\sqrt{2}}{\langle a1\rangle}\sqrt{\frac{1-z_a}{z_a}}
+\frac{\sqrt{2}}{\langle 1b\rangle}\sqrt{\frac{(1-z_b)^3}{z_b}}
\nonumber\\
{\cal A}^{ggg}(\hat a^+\hat b^-;a^-1^+b^+)&=&\frac{\sqrt{2}\langle ab\rangle}{\langle a1\rangle\langle 1b\rangle}
-\frac{\sqrt{2}}{\langle 1b\rangle}\sqrt{z_b(1-z_b)}
\nonumber\\
{\cal A}^{ggg}(\hat a^+\hat b^-;a^-1^+b^-)&=&\frac{\sqrt{2}\langle ab\rangle}{\langle a1\rangle\langle 1b\rangle}
+\frac{\sqrt{2}}{\langle 1b\rangle}\sqrt{\frac{(1-z_b)^3}{z_b}}
\nonumber\\
\nonumber\\
{\cal A}^{ggg}(\hat a^-\hat b^+;a^+1^+b^+)&=&\frac{\sqrt{2}\langle ab\rangle}{\langle a1\rangle\langle 1b\rangle}
-\frac{\sqrt{2}}{\langle a1\rangle}\sqrt{z_a(1-z_a)}
+\frac{\sqrt{2}}{\langle 1b\rangle}\sqrt{\frac{1-z_b}{z_b}}
\nonumber\\
{\cal A}^{ggg}(\hat a^-\hat b^+;a^+1^+b^-)&=&\frac{\sqrt{2}\langle ab\rangle}{\langle a1\rangle\langle 1b\rangle}
-\frac{\sqrt{2}}{\langle a1\rangle}\sqrt{z_a(1-z_a)}
\nonumber\\
{\cal A}^{ggg}(\hat a^-\hat b^+;a^-1^+b^+)&=&\frac{\sqrt{2}\langle ab\rangle}{\langle a1\rangle\langle 1b\rangle}
+\frac{\sqrt{2}}{\langle a1\rangle}\sqrt{\frac{(1-z_a)^3}{z_a}}
+\frac{\sqrt{2}}{\langle 1b\rangle}\sqrt{\frac{1-z_b}{z_b}}
\nonumber\\
{\cal A}^{ggg}(\hat a^-\hat b^+;a^-1^+b^-)&=&\frac{\sqrt{2}\langle ab\rangle}{\langle a1\rangle\langle 1b\rangle}
+\frac{\sqrt{2}}{\langle a1\rangle}\sqrt{\frac{(1-z_a)^3}{z_a}}
\nonumber\\
\nonumber\\
{\cal A}^{ggg}(\hat a^-\hat b^-;a^+1^+b^+)&=&\frac{\sqrt{2}\langle ab\rangle}{\langle a1\rangle\langle 1b\rangle}
-\frac{\sqrt{2}}{\langle a1\rangle}\sqrt{z_a(1-z_a)}
-\frac{\sqrt{2}}{\langle 1b\rangle}\sqrt{z_b(1-z_b)}
\nonumber\\
{\cal A}^{ggg}(\hat a^-\hat b^-;a^+1^+b^-)&=&\frac{\sqrt{2}\langle ab\rangle}{\langle a1\rangle\langle 1b\rangle}
-\frac{\sqrt{2}}{\langle a1\rangle}\sqrt{z_a(1-z_a)}
+\frac{\sqrt{2}}{\langle 1b\rangle}\sqrt{\frac{(1-z_b)^3}{z_b}}
\nonumber\\
{\cal A}^{ggg}(\hat a^-\hat b^-;a^-1^+b^+)&=&\frac{\sqrt{2}\langle ab\rangle}{\langle a1\rangle\langle 1b\rangle}
+\frac{\sqrt{2}}{\langle a1\rangle}\sqrt{\frac{(1-z_a)^3}{z_a}}
-\frac{\sqrt{2}}{\langle 1b\rangle}\sqrt{z_b(1-z_b)}
\nonumber\\
{\cal A}^{ggg}(\hat a^-\hat b^-;a^-1^+b^-)&=&\frac{\sqrt{2}\langle ab\rangle}{\langle a1\rangle\langle 1b\rangle}
+\frac{\sqrt{2}}{\langle a1\rangle}\sqrt{\frac{(1-z_a)^3}{z_a}}
+\frac{\sqrt{2}}{\langle 1b\rangle}\sqrt{\frac{(1-z_b)^3}{z_b}}
\eeqa
For the $qg$ branching
\beqa
{\cal A}^{qgg}(\hat a^+\hat b^+;a^+1^+b^+)&=&\frac{\sqrt{2}\langle ab\rangle}{\langle a1\rangle\langle 1b\rangle}
-\frac{\sqrt{2}}{\langle a1\rangle}\frac{\sqrt{1-z_a}}{1+\sqrt{z_a}}
+\frac{\sqrt{2}}{\langle 1b\rangle}\sqrt{\frac{1-z_b}{z_b}}
\nonumber\\
{\cal A}^{qgg}(\hat a^+\hat b^+;a^+1^+b^-)&=&\frac{\sqrt{2}\langle ab\rangle}{\langle a1\rangle\langle 1b\rangle}
-\frac{\sqrt{2}}{\langle a1\rangle}\frac{\sqrt{1-z_a}}{1+\sqrt{z_a}}
\nonumber\\
\nonumber\\
{\cal A}^{qgg}(\hat a^+\hat b^-;a^+1^+b^+)&=&\frac{\sqrt{2}\langle ab\rangle}{\langle a1\rangle\langle 1b\rangle}
-\frac{\sqrt{2}}{\langle a1\rangle}\frac{\sqrt{1-z_a}}{1+\sqrt{z_a}}
-\frac{\sqrt{2}}{\langle 1b\rangle}\sqrt{z_b(1-z_b)}
\nonumber\\
{\cal A}^{qgg}(\hat a^+\hat b^-;a^+1^+b^-)&=&\frac{\sqrt{2}\langle ab\rangle}{\langle a1\rangle\langle 1b\rangle}
-\frac{\sqrt{2}}{\langle a1\rangle}\frac{\sqrt{1-z_a}}{1+\sqrt{z_a}}
+\frac{\sqrt{2}}{\langle 1b\rangle}\sqrt{\frac{(1-z_b)^3}{z_b}}
\nonumber\\
\nonumber\\
{\cal A}^{qgg}(\hat a^-\hat b^+;a^-1^+b^+)&=&\frac{\sqrt{2}\langle ab\rangle}{\langle a1\rangle\langle 1b\rangle}
+\frac{\sqrt{2}}{\langle a1\rangle}\frac{\sqrt{z_a(1-z_a)}}{1+\sqrt{z_a}}
+\frac{\sqrt{2}}{\langle 1b\rangle}\sqrt{\frac{1-z_b}{z_b}}
\nonumber\\
{\cal A}^{qgg}(\hat a^-\hat b^+;a^-1^+b^-)&=&\frac{\sqrt{2}\langle ab\rangle}{\langle a1\rangle\langle 1b\rangle}
+\frac{\sqrt{2}}{\langle a1\rangle}\frac{\sqrt{z_a(1-z_a)}}{1+\sqrt{z_a}}
\nonumber\\
\nonumber\\
{\cal A}^{qgg}(\hat a^-\hat b^-;a^-1^+b^+)&=&\frac{\sqrt{2}\langle ab\rangle}{\langle a1\rangle\langle 1b\rangle}
+\frac{\sqrt{2}}{\langle a1\rangle}\frac{\sqrt{z_a(1-z_a)}}{1+\sqrt{z_a}}
-\frac{\sqrt{2}}{\langle 1b\rangle}\sqrt{z_b(1-z_b)}
\nonumber\\
{\cal A}^{qgg}(\hat a^-\hat b^-;a^-1^+b^-)&=&\frac{\sqrt{2}\langle ab\rangle}{\langle a1\rangle\langle 1b\rangle}
+\frac{\sqrt{2}}{\langle a1\rangle}\frac{\sqrt{z_a(1-z_a)}}{1+\sqrt{z_a}}
+\frac{\sqrt{2}}{\langle 1b\rangle}\sqrt{\frac{(1-z_b)^3}{z_b}}
\eeqa
and finally for the $q\bar{q}$ branching
\beqa
{\cal A}^{qg\bar q}(\hat a^+\hat b^+;a^+1^+b^+)&=&\frac{\sqrt{2}\langle ab\rangle}{\langle a1\rangle\langle 1b\rangle}
-\frac{\sqrt{2}}{\langle a1\rangle}\frac{\sqrt{1-z_a}}{1+\sqrt{z_a}}
-\frac{\sqrt{2}}{\langle 1b\rangle}\frac{\sqrt{1-z_b}}{1+\sqrt{z_b}}
\nonumber\\
{\cal A}^{qg\bar q}(\hat a^+\hat b^-;a^+1^+b^-)&=&\frac{\sqrt{2}\langle ab\rangle}{\langle a1\rangle\langle 1b\rangle}
-\frac{\sqrt{2}}{\langle a1\rangle}\frac{\sqrt{1-z_a}}{1+\sqrt{z_a}}
+\frac{\sqrt{2}}{\langle 1b\rangle}\frac{\sqrt{z_b(1-z_b)}}{1+\sqrt{z_b}}
\nonumber\\
\nonumber\\
{\cal A}^{qg\bar q}(\hat a^-\hat b^+;a^-1^+b^+)&=&\frac{\sqrt{2}\langle ab\rangle}{\langle a1\rangle\langle 1b\rangle}
+\frac{\sqrt{2}}{\langle a1\rangle}\frac{\sqrt{z_a(1-z_a)}}{1+\sqrt{z_a}}
-\frac{\sqrt{2}}{\langle 1b\rangle}\frac{\sqrt{1-z_b}}{1+\sqrt{z_b}}
\nonumber\\
{\cal A}^{qg\bar q}(\hat a^-\hat b^-;a^-1^+b^-)&=&\frac{\sqrt{2}\langle ab\rangle}{\langle a1\rangle\langle 1b\rangle}
+\frac{\sqrt{2}}{\langle a1\rangle}\frac{\sqrt{z_a(1-z_a)}}{1+\sqrt{z_a}}
+\frac{\sqrt{2}}{\langle 1b\rangle}\frac{\sqrt{z_b(1-z_b)}}{1+\sqrt{z_b}}
\eeqa

\subsection{NNLO sector antenna functions}

The current ansatz for the NNLO squared antenna function is given by
\beqa
A^{f_af_1f_2f_b}(\hat a\hat b;a12b)&=&
\left(\tilde S_{Q_1<Q_2}(a12b)+A^{f_af_{\bar 1}f_{\bar b}}(\hat a\hat b;a\bar 1\bar b) A^{f_1f_2f_b}(\bar 1\bar b;12b)\right)\theta(Q_1<Q_2)
\nonumber \\
&+&\left(\tilde S_{Q_2<Q_1}(a12b)+A^{f_{\bar a}f_{\bar 2}f_b}(\hat a\hat b;\bar a\bar 2b) A^{f_af_1f_2}(\bar a\bar 2;a12)\right)\theta(Q_2<Q_1)
\nonumber \\
&+&\tilde P^{f_af_1f_2}_{\hat a\rightarrow a12}(z_a,z_1,z_2)+\tilde P^{f_1f_2f_b}_{\hat b\rightarrow 12b}(z_1,z_2,z_b)
\eeqa
which is partitioned in the two possible branching paths. The double soft eikonal factor is given by
\beqa
S(a12b)&=&\sum_{\lambda_1\lambda_2}\left|
                \frac{k_a\cdot F_1^{\lambda_1}\cdot F_2^{\lambda_2}\cdot k_b}{s_{a1}s_{12}s_{2b}}
               -\frac{k_a\cdot F_1^{\lambda_1}\cdot F_2^{\lambda_2}\cdot k_a}{s_{a1}s_{12}s_{a12}}
               -\frac{k_b\cdot F_1^{\lambda_1}\cdot F_2^{\lambda_2}\cdot k_b}{s_{12}s_{2b}s_{12b}}\right|^2
\nonumber \\
\tilde S_{Q_1<Q_2}(a12b)&=&S(a12b)-S(a1b) S(12b);\  S_{Q_2<Q_1}(a12b)=S(a12b)-S(a2b) S(a12)
\eeqa
\beqa
\tilde P^{f_af_1f_2}_{\hat a\rightarrow a12}(z_a,z_1,z_2)&=&P^{f_af_1f_2}_{\hat a\rightarrow a12}(z_a,z_1,z_2)-\lim_{\rho_{a1},\,\rho_{12}\rightarrow 0} S(a12b)\nonumber\\
\tilde P^{f_1f_2f_b}_{\hat b\rightarrow 12b}(z_1,z_2,z_b)&=&P^{f_1f_2f_b}_{\hat b\rightarrow 12b}(z_1,z_2,z_b)-\lim_{\rho_{12},\,\rho_{2b}\rightarrow 0} S(a12b)
\eeqa

The helicity specific antenna function:











\section{Antenna functions at NLO}

We will derive the antenna function both on amplitude level which is helicity based denoted by 
${\cal A}(\hat a^{\hat\lambda_a}\hat b^{\hat\lambda_b}\rightarrow a^{\lambda_a}1^{\lambda_1}b^{\lambda_b})$ 
and amplitude squared level denoted by $A(\hat a\hat b\rightarrow a1b)$. 

For the ordered amplitude this gives the factorization on amplitude level
\beq
m(a^{\lambda_a}1^{\lambda_1}b^{\lambda_b}\cdots)=
{\cal A}(\hat a^{-\hat\lambda_a}\hat b^{-\hat\lambda_b}\rightarrow a^{\lambda_a}1^{\lambda_1}b^{\lambda_b})\times m(\hat a^{\hat\lambda_a}\hat b^{\hat\lambda_b}\cdots)
\eeq
({\it This suggests we should average over $\hat\lambda_a$ and $\hat\lambda_b$. However in a forward branching setting these two helicities
can be explicitly given.})
 
On amplitude square level we have
\beq
|m(a1b\cdots)|^2=A(\hat a\hat b\rightarrow a1b)\times |m(\hat a\hat b\cdots)|^2
\eeq

Note that
\beq
A(\hat a\hat b\rightarrow a1b)=\frac{1}{4}\sum_{\hat{\lambda_a}\hat{\lambda_b}\lambda_a\lambda_1\lambda_b} 
\left|{\cal A}(\hat a^{\hat\lambda_a}\hat b^{\hat\lambda_b}\rightarrow a^{\lambda_a}1^{\lambda_1}b^{\lambda_b})\right|^2
\eeq
is not necesarily true as the helicity dependent subtractions are more detailed and not an averaged subtraction term.

\subsection{Amplitude squared level}

This is equivalent to the method given in the papers~\cite{Czakon:2010td,Caola:2017dug}. 
The singular limits of the squared ordered amplitude are given by
\beqa
\lim_{E_1\rightarrow 0} |m(a1b\cdots)|^2 &=& S(a1b)\,|m(\hat a\hat b\cdots)|^2;\ p_{\hat a}=p_a,\ p_{\hat b}=p_b\nonumber \\
\lim_{\rho_{a1}\rightarrow 0} |m(a1b\cdots)|^2 &=& P^{f_af_1}_{\hat a\leftarrow a1}(z_a)\,|m(\hat a\hat b\cdots)|^2;\ p_{\hat a}=p_a+p_1,\ p_{\hat b}=p_b,\ 
z_a=\frac{p_1\cdot p_{\hat b}}{p_{\hat a}\cdot p_{\hat b}}\nonumber \\
\lim_{\rho_{1b}\rightarrow 0} |m(a1b\cdots)|^2 &=& P^{f_1f_b}_{\hat b\leftarrow 1b}(z_b)\,|m(\hat a\hat b\cdots)|^2;\ p_{\hat a}=p_a,\ p_{\hat b}=p_1+p_b,\ 
z_b=\frac{p_1\cdot p_{\hat a}}{p_{\hat b}\cdot p_{\hat a}}\nonumber \\
\eeqa
with $f_i$ the parton flavor.

The antenna function is given by
\beqa
{\cal A}^{f_af_1f_b}(\hat a\hat b;a1b)&=&S(a1b)+\left(P^{f_af_1}_{\hat a\leftarrow a1}(z_a)-\lim_{\rho_{a1}\rightarrow 0}S(a1b)\right)
+\left(P^{f_af_1f_b}_{\hat b\leftarrow 1b}(z_b)-\lim_{\rho_{1b}\rightarrow 0}S(a1b)\right)\nonumber\\
&=&S(a1b)+\tilde P^{f_af_1}_{\hat a\leftarrow a1}(z_a)+\tilde P^{f_af_1f_b}_{\hat b\leftarrow 1b}(z_b)
\eeqa
where the possible antenna configurations are ${\cal A}^{ggg}$, ${\cal A}^{qgg}$, ${\cal A}^{ggq}$, ${\cal A}^{qgq}$  
The correction term removes the overlapping singularity between the eikonal factor and the collinear factors. 

What remains is specifying the soft and collinear limits of the ordered amplitude squared.
The soft limit, including the correction term, are given by
\beqa
S(a1b)&=&\frac{4 s_{ab}}{s_{a1}s_{1b}}\nonumber\\
\lim_{\rho_{a1}\rightarrow 0}S(a1b)&=&\frac{4}{s_{a1}}\left(\frac{z_a}{1-z_a}\right)\nonumber\\
\lim_{\rho_{1b}\rightarrow 0}S(a1b)&=&\frac{4}{s_{1b}}\left(\frac{z_b}{1-z_b}\right)
\eeqa
and the flavor dependent collinear limits
\beqa
P^{gg}_{\hat a\leftarrow a1}(z_a)&=&\frac{2}{s_{a1}}\left(\frac{1+z_a^4+(1-z_a)^4}{z_a(1-z_a)}\right)\nonumber\\
P^{qg}_{\hat a\leftarrow a1}(z_a)&=&\frac{2}{s_{a1}}\left(\frac{1+z_a^2}{1-z_a}\right)
\eeqa
({\it Note: Factors need to be checked})\newline
giving
\beqa
\tilde P^{qg}_{\hat a\leftarrow a1}(z_a)&=&\frac{2}{s_{a1}}\left(\frac{1+z_a^2-2 z_a}{1-z_a}\right)=\frac{2}{s_{a1}}\left(1-z_a\right)\nonumber\\
\tilde P^{gg}_{\hat a\leftarrow a1}(z_a)&=&\frac{2}{s_{a1}}\left(\frac{1+z_a^4+(1-z_a)^4-2z_a^2}{z_a(1-z_a)}\right)
=\frac{2}{s_{a1}}\left(\frac{(1-z_a)(1+z_a^2)}{z_a}\right)\nonumber\\
&=&\left(z_a+\frac{1}{z_a}\right)\tilde P^{qg}_{\hat a\leftarrow a1}(z_a)
\eeqa
Note that the resulting soft-corrected splitting functions are zero when $z_a=1$, i.e. when $p_a=0$, $p_1=p_{\hat a}$ (No singular $q\rightarrow g$ 
transition with a non-observable quark in the final state. This is an expression of flavor conservation! A quark with non-zero energy must be present.)

\subsection{Amplitude level}
At NLO the possible singular limits in the antenna $(\hat a,\hat b)\rightarrow (a1b)$ are parton 1 goes soft or parton 1 is collinear with one of its parents.
We have the following limits
\beqa
\lim_{E_1\rightarrow 0} m(a1b\cdots) &=& {\cal S}(a1b)\,m(\hat a\hat b\cdots);\ p_{\hat a}=p_a,\ p_{\hat b}=p_b\nonumber \\
\lim_{\rho_{a1}\rightarrow 0} m(a1b\cdots) &=& {\cal P}^{f_{\hat a}f_a}_{\hat a\leftarrow a1}(z_a)\,m(\hat a\hat b\cdots);\ p_{\hat a}=p_a+p_1,\ p_{\hat b}=p_b,\ 
z_a=\frac{p_1\cdot p_{\hat b}}{p_{\hat a}\cdot p_{\hat b}}\nonumber \\
\lim_{\rho_{1b}\rightarrow 0} m(a1b\cdots) &=& {\cal P}^{f_{\hat b}f_b}_{\hat b\leftarrow 1b}(z_b)\,m(\hat a\hat b\cdots);\ p_{\hat a}=p_a,\ p_{\hat b}=p_1+p_b,\ 
z_b=\frac{p_1\cdot p_{\hat a}}{p_{\hat b}\cdot p_{\hat a}}\nonumber \\
\eeqa
The eikonal factors are given by
\beq
{\cal S}(a1^\lambda b)=\frac{p_a\cdot F_1^\lambda\cdot p_b}{p_a\cdot p_1\, p_1\cdot p_b};\ 
{\cal S}(a1^+b)=\sqrt{2}\frac{\langle ab\rangle}{\langle a1\rangle\langle 1b\rangle};\
{\cal S}(a1^-b)=\sqrt{2}\frac{[ ab ]}{[ a1 ][ 1b ]}
\eeq
The collinear terms are given by~\cite{Berends:1987me,Berends:1988zn}
\beqa
{\cal P}^{gg}_{\hat a^+\leftarrow a^+1^+}(z_a)&=&\frac{\sqrt{2}}{\langle a1\rangle}\frac{1}{\sqrt{z_a(1-z_a)}};\ 
{\cal P}^{gg}_{\hat a^+\leftarrow a^-1^-}(z_a)=0 \nonumber \\ 
{\cal P}^{gg}_{\hat a^+\leftarrow a^+1^-}(z_a)&=&\frac{\sqrt{2}}{[a1]}\sqrt{\frac{(1-z_a)^3}{z_a}};\ 
{\cal P}^{gg}_{\hat a^+\leftarrow a^-1^+}(z_a)=\frac{\sqrt{2}}{[a1]}\sqrt{\frac{z_a^3}{(1-z_a)}} 
\eeqa
and
\beq
{\cal P}^{qg}_{\hat a^+\leftarrow a^+1^+}(z_a)=-\frac{\sqrt{2}}{\langle a1\rangle}\frac{1}{\sqrt{1-z_a}};\ 
{\cal P}^{qg}_{\hat a^+\leftarrow a^+1^-}(z_a)=-\frac{\sqrt{2}}{[a1]}\frac{z_a}{\sqrt{1-z_a}}
\eeq
Note that 
\beqa
P^{f_{\hat a}f_a}_{\hat a\leftarrow a1}(z_a)&=&\frac{1}{2}\sum_{\lambda_{\hat a}\lambda_a\lambda_1} {\cal P}^{f_{\hat a}f_a}_{\hat a^{\lambda_{\hat a}}\leftarrow a^{\lambda_a}1^{\lambda_1}}(z_a)\nonumber\\
P^{gg}_{\hat a\leftarrow a1}(z_a)&=&|{\cal P}^{gg}_{\hat a^+\leftarrow a^+1^+}(z_a)|^2+|{\cal P}^{gg}_{\hat a^+\leftarrow a^-1^-}(z_a)|^2
+|{\cal P}^{gg}_{\hat a^+\leftarrow a^+1^-}(z_a)|^2+|{\cal P}^{gg}_{\hat a^+\leftarrow a^-1^+}(z_a)|^2\nonumber\\
&=&\frac{2}{s_{a1}}\left(\frac{1}{z_a(1-z_a)}+\frac{(1-z_a)^3}{z_a}+\frac{z_a^3}{1-z_a}\right)\nonumber\\
P^{qg}_{\hat a\leftarrow a1}(z_a)&=&|{\cal P}^{qg}_{\hat a^+\leftarrow a^+1^+}(z_a)|^2+|{\cal P}^{gg}_{\hat a^+\leftarrow a^+1^-}(z_a)|^2\nonumber\\
&=&\frac{2}{s_{a1}}\left(\frac{1}{1-z_a}+\frac{z_a^2}{1-z_a}\right)
\eeqa

We have a bit of an issue with the soft-collinear subtraction function which is given by
\beq
\lim_{\rho_{a1}\rightarrow 0}S(a1^+b)=\frac{\sqrt{2}}{\langle a1\rangle}\sqrt{\frac{z_a}{1-z_a}}
\eeq
For example the splitting function for the helicity configuration $+;--$ is zero. Should we still
add the soft-collinear subtraction term while there is no collingular singularity? The other helicity
configuration $+;+-$ has no singularity for $z_a\rightarrow 1$, so the soft collinear limit subtracts
a non-existing singularity. In both cases we will for now assume we do no include the soft-collinear
subtraction term as tere is no singularity.


We can now formulate the antenna function
\beq
{\cal A}(a1b;\hat a\hat b)={\cal S}(a1b)+\tilde{\cal P}_{\hat a\leftarrow a1}(z_a)+\tilde{\cal P}_{\hat b\leftarrow 1b}(z_b)
\eeq
The soft-corrected splitting functions are given by
\beqa
\tilde{\cal P}^{gg}_{\hat a^+\leftarrow a^+1^+}(z_a)&=&\frac{\sqrt{2}}{\langle a1\rangle}\left(\frac{1}{\sqrt{z_a(1-z_a)}}-\sqrt{\frac{z_a}{1-z_a}}\right)
=\frac{\sqrt{2}}{\langle a1\rangle}\sqrt{\frac{1-z_a}{z_a}}\nonumber\\
\tilde{\cal P}^{gg}_{\hat a^+\leftarrow a^-1^-}(z_a)&=&{\cal P}^{gg}_{\hat a^+\leftarrow a^-1^-}(z_a)=0\nonumber\\
\tilde{\cal P}^{gg}_{\hat a^+\leftarrow a^+1^-}(z_a)&=&{\cal P}^{gg}_{\hat a^+\leftarrow a^+1^-}(z_a)=\frac{\sqrt{2}}{[a1]}\sqrt{\frac{(1-z_a)^3}{z_a}}\nonumber\\
\tilde{\cal P}^{gg}_{\hat a^+\leftarrow a^-1^+}(z_a)&=&\frac{\sqrt{2}}{[a1]}\left(\sqrt{\frac{z_a^3}{(1-z_a)}}-\sqrt{\frac{z_a}{1-z_a}}\right)
=-\frac{\sqrt{2}}{[a1]}\sqrt{z_a(1-z_a)}\nonumber\\
\eeqa
and
\beqa
\tilde{\cal P}^{qg}_{\hat a^+\leftarrow a^+1^+}(z_a)&=&-\frac{\sqrt{2}}{\langle a1\rangle}\left(\frac{1}{\sqrt{1-z_a}}-\sqrt{\frac{z_a}{1-z_a}}\right)
=-\frac{\sqrt{2}}{\langle a1\rangle}\left(\frac{\sqrt{1-z_a}}{1+\sqrt{z_a}}\right)
\nonumber\\  
\tilde{\cal P}^{qg}_{\hat a^+\leftarrow a^+1^-}(z_a)&=&-\frac{\sqrt{2}}{[a1]}\left(\frac{z_a}{\sqrt{1-z_a}}-\sqrt{\frac{z_a}{1-z_a}}\right)
=\frac{\sqrt{2}}{\langle a1\rangle}\left(\frac{\sqrt{z_a(1-z_a)}}{1+\sqrt{z_a}}\right)
\eeqa

Lets see what we get for the helicity summed splitting function
\beqa
\tilde{P}^{gg}_{\hat a\leftarrow a1}(z_a)
&=&\frac{2}{s_{a1}}\left(z_a(1-z_a)+\frac{(1-z_a)^3}{z_a}+\frac{1-z_a}{z_a}\right)
=\frac{2}{s_{a1}}\left(\frac{1-z_a}{z_a}(1+z_a^2)-(1-z_a)\right) \nonumber\\
\tilde{P}^{qg}_{\hat a\leftarrow a1}(z_a)&=&\frac{2}{s_{a1}}\left(\cdots\right)
\eeqa

\section{Antenna functions at NNLO}

\subsection{Amplitude squared level}

We start here with an antenna with 2 massive parents so no triple collinear contributions appear so we can mostly focus
on the soft contribution. The antenna function is given by 
\beq
{\cal A}^{qgg\bar q}(\hat a\hat b;a12b)={\cal S}(a12b)=\left|S(a12b)\right|^2
\eeq
The singularity associated with the two gluons become collinear are part of the NLO antenna function.
The 2-soft gluon eikonal is given by(see~\cite{Berends:1988zn}) 
\beq
S_{ab}(12)=\frac{k_a\cdot F_1\cdot F_2\cdot k_b}{d_{a1}d_{12}d_{2b}}
         -\frac{k_a\cdot F_1\cdot F_2\cdot k_a}{d_{a1}d_{12}(d_{a1}+d_{a2})}
         -\frac{k_b\cdot F_1\cdot F_2\cdot k_b}{d_{12}d_{2b}(d_{1b}+d_{2b})}
\eeq
where $F_1^{\mu\nu}=k_1^{\mu}\epsilon_1^{\nu}-\epsilon_1^{\mu}k_1^{\nu}$ (${F_1^{\mu\nu}}^+\sigma_{\mu}^{\dot AB}\sigma_{\nu}^{A\dot B}=k_1^{A}k_1^{B}\epsilon^{\dot A\dot B}$
and ${F_1^{\mu\nu}}^-\sigma_{\mu}^{\dot AB}\sigma_{\nu}^{A\dot B}=k_1^{\dot A}k_1^{\dot B}\epsilon^{AB}$).


It might be useful to factorize the strongly ordered limits associated with sequential branching giving the Leading-Log
contributions. There are two possible histories: $E_2\rightarrow 0$ (with finite $E_1$) followed by $E_1\rightarrow 0$ or its reverse
$E_1\rightarrow 0$ (with finite $E_2$) followed by $E_2\rightarrow 0$. This results in 2 phase-space sectors, with the partitioning
$1=\theta(E_1>E_2)+\theta(E_1\leq E_2)$
\beqa
{\cal A}^{qgg\bar q}(\hat a\hat b;a12b)&=&
\left(\tilde{\cal S}_{E_1<E_2}(a12b)+{\cal S}(\hat a\hat b;a\bar 1\bar b){\cal S}(\bar 1\bar b;12b)\right)\theta(E_2<E_1)
\nonumber \\
&+&\left(\tilde{\cal S}_{E_2<E_1}(a12b)+{\cal S}(\hat a\hat b;\bar a\bar 2b){\cal S}(\bar a\bar 2;a12)\right)\theta(E_1<E_2)
\eeqa
with
\beqa
\tilde S_{E_1<E_2}(a12b)&=&S(a12b)-S(\hat a\hat b;a\bar 1\bar b)S(\bar 1\bar b;12b)\nonumber\\
&=&\frac{k_a\cdot F_1\cdot F_2\cdot k_b}{d_{a1}d_{12}d_{2b}}
         -\frac{k_a\cdot F_1\cdot F_2\cdot k_a}{d_{a1}d_{12}(d_{a1}+d_{a2})}
         -\frac{k_b\cdot F_1\cdot F_2\cdot k_b}{d_{12}d_{2b}(d_{1b}+d_{2b})}\nonumber\\&&
         -\left(\frac{k_a\cdot F_1\cdot k_2}{d_{a1}d_{12}}\right)\left(\frac{k_a\cdot F_2\cdot k_b}{d_{a2}d_{2b}}\right)\nonumber\\
&=&\frac{k_a\cdot F_1\cdot F_2\cdot k_a}{d_{a2}d_{12}(d_{a1}+d_{a2})}
  -\frac{k_b\cdot F_1\cdot F_2\cdot k_b}{d_{12}d_{2b}(d_{1b}+d_{2b})}\nonumber\\
&=&\frac{1}{d_{12}}\left(\frac{k_a\cdot F_1\cdot F_2\cdot k_a}{d_{a2}(d_{a1}+d_{a2})}-(a\leftrightarrow b)\right)
\eeqa
where we used
\beqa
(k_a\cdot F_1\cdot k_2)( k_a\cdot F_2\cdot k_b)&=&(k_a\cdot F_1)^\alpha k_a^\mu k_b^\nu\left(-{F_2}_{\alpha\mu}{k_2}_\nu-{F_2}_{\nu\alpha}{k_2}_\mu\right)
\nonumber\\
&=&-d_{2b} (k_a\cdot F_1\cdot F_2\cdot k_a)+d_{a2} (k_a\cdot F_1\cdot F_2\cdot k_b)
\eeqa
The 2-soft eikonal $\tilde{\cal S}$ is logarithmically subleading with the leading log contributions originating from the product
of the single soft gluon eikonals.

The next step is including the triple collinear contribution. As was the case for the one-gluon unresolved antenna function,
we need to subtract the triple collinear contribution originating from the double-soft eikonal factor
\beq
{\cal A}^{f_af_1f_2f_b}(\hat a\hat b;a12b)=S(a12b)+\tilde P^{f_af_1f_2}_{\hat a\rightarrow a12}(z_a,z_1,z_2)+\tilde P^{f_1f_2f_b}_{\hat b\rightarrow 12b}(z_1,z_2,z_b)
\eeq
where
\beqa
\tilde P^{f_af_1f_2}_{\hat a\rightarrow a12}(z_a,z_1,z_2)&=&P^{f_af_1f_2}_{\hat a\rightarrow a12}(z_a,z_1,z_2)-\lim_{\rho_{a1},\,\rho_{12}\rightarrow 0} S(a12b)\nonumber\\
\tilde P^{f_1f_2f_b}_{\hat b\rightarrow 12b}(z_1,z_2,z_b)&=&P^{f_1f_2f_b}_{\hat b\rightarrow 12b}(z_1,z_2,z_b)-\lim_{\rho_{12},\,\rho_{2b}\rightarrow 0} S(a12b)
\eeqa
What is still missing are the singular limits $(E_1,\rho_{2b}\rightarrow 0)$, $(E_2,\rho_{a1}\rightarrow 0)$ and $(\rho_{a1},\rho_{2b}\rightarrow 0)$.
These particular limits are sequential, i.e. independent of each other and can be grouped in ordered emissions
\beqa
{\cal A}^{f_af_{\bar 1}f_{\bar b}}(\hat a\hat b;a\bar 1\bar b){\cal A}^{f_1f_2f_b}(\bar 1\bar b;12b)\theta(Q_2<Q_1)
 + {\cal A}^{f_{\bar a}f_{\bar 2}f_b}(\hat a\hat b;\bar a\bar 2b){\cal A}^{f_af_1f_2}(\bar a\bar 2;a12)\theta(Q_1<Q_2)
\eeqa
where we use the resolution/evolution scale $Q_a=Q_R(a)$ instead of the energy of the particles.
\newline
-------------------------------------------------------------------------------------------------------------------------
\newline
We now have the full antenna function
\beqa
{\cal A}^{f_af_1f_2f_b}(\hat a\hat b;a12b)&=&
\left(\tilde{\cal S}_{Q_1<Q_2}(a12b)+{\cal A}^{f_af_{\bar 1}f_{\bar b}}(\hat a\hat b;a\bar 1\bar b){\cal A}^{f_1f_2f_b}(\bar 1\bar b;12b)\right)\theta(Q_1<Q_2)
\nonumber \\
&+&\left(\tilde{\cal S}_{Q_2<Q_1}(a12b)+{\cal A}^{f_{\bar a}f_{\bar 2}f_b}(\hat a\hat b;\bar a\bar 2b){\cal A}^{f_af_1f_2}(\bar a\bar 2;a12)\right)\theta(Q_2<Q_1)
\nonumber \\
&+&\tilde P^{f_af_1f_2}_{\hat a\rightarrow a12}(z_a,z_1,z_2)+\tilde P^{f_1f_2f_b}_{\hat b\rightarrow 12b}(z_1,z_2,z_b)
\eeqa
At this point we need some numerical verification that this is the correct antenna function or are there more overlapping singularities? There are
aslo stronly ordered collinear radiation which now might be double counted...

The current ansatz for the NNLO squared antenna function is given by
\beqa
A^{f_af_1f_2f_b}(\hat a\hat b;a12b)&=&
\left(\tilde S_{Q_1<Q_2}(a12b)+A^{f_af_{\bar 1}f_{\bar b}}(\hat a\hat b;a\bar 1\bar b) A^{f_1f_2f_b}(\bar 1\bar b;12b)\right)\theta(Q_1<Q_2)
\nonumber \\
&+&\left(\tilde S_{Q_2<Q_1}(a12b)+A^{f_{\bar a}f_{\bar 2}f_b}(\hat a\hat b;\bar a\bar 2b) A^{f_af_1f_2}(\bar a\bar 2;a12)\right)\theta(Q_2<Q_1)
\nonumber \\
&+&\tilde P^{f_af_1f_2}_{\hat a\rightarrow a12}(z_a,z_1,z_2)+\tilde P^{f_1f_2f_b}_{\hat b\rightarrow 12b}(z_1,z_2,z_b)
\eeqa
which is partitioned in the two possible branching paths. The double soft eikonal factor is given by
\beqa
S(a12b)&=&\sum_{\lambda_1\lambda_2}\left|
                \frac{k_a\cdot F_1^{\lambda_1}\cdot F_2^{\lambda_2}\cdot k_b}{s_{a1}s_{12}s_{2b}}
               -\frac{k_a\cdot F_1^{\lambda_1}\cdot F_2^{\lambda_2}\cdot k_a}{s_{a1}s_{12}s_{a12}}
               -\frac{k_b\cdot F_1^{\lambda_1}\cdot F_2^{\lambda_2}\cdot k_b}{s_{12}s_{2b}s_{12b}}\right|^2
\nonumber \\
\tilde S_{Q_1<Q_2}(a12b)&=&S(a12b)-S(a1b) S(12b);\  \tilde S_{Q_2<Q_1}(a12b)=S(a12b)-S(a2b) S(a12)
\nonumber \\
\tilde P^{f_af_1f_2}_{\hat a\rightarrow a12}(z_a,z_1,z_2)&=&P^{f_af_1f_2}_{\hat a\rightarrow a12}(z_a,z_1,z_2)-\lim_{\rho_{a1},\,\rho_{12}\rightarrow 0} S(a12b)\nonumber\\
\tilde P^{f_1f_2f_b}_{\hat b\rightarrow 12b}(z_1,z_2,z_b)&=&P^{f_1f_2f_b}_{\hat b\rightarrow 12b}(z_1,z_2,z_b)-\lim_{\rho_{12},\,\rho_{2b}\rightarrow 0} S(a12b)
\eeqa
Let us look at the all-gluonic antenna function $A^{gggg}(\hat a^+\hat b^+;a^+1^+2^+b^+)$
\beqa
S(a1^+2^+b)&=&S(a1^+b) S(12^+b)=S(a2^+b) S(a1^+2)=\frac{d_{ab}}{d_{a1}d_{12}d_{2b}}
\nonumber\\
\tilde S_{Q_1<Q_2}(a1^+2^+b)&=&\tilde S_{Q_2<Q_1}(a1^+2^+b)=0
\nonumber\\
P^{ggg}_{\tilde a^+\rightarrow a^+1^+2^+}&=&\frac{1}{d_{a1}d_{12}}\frac{1}{z_az_2};\ \lim_{\rho_{a1},\,\rho_{12}\rightarrow 0} S(a1^+2^+b)=\frac{1}{d_{a1}d_{12}}\frac{z_a}{z_2};\ 
z_a+z_1+z_2=1
\nonumber\\
\tilde P^{ggg}_{\tilde a^+\rightarrow a^+1^+2^+}&=&\frac{1}{d_{a1}d_{12}}\left(\frac{1-z_a^2}{z_az_2}\right)
\eeqa

\subsection{Amplitude level}

\subsection{Triple-collinear amplitude level splitting functions (under construction)}

First we look at the double gluon collinear limits. We keep the light-cone numerator of the propagator to derive the splitting functions~\cite{Berends:1987me}
\beq
J^\mu(12)=J_\nu(12)\left[g^{\nu\mu}-\frac{p_{12}^\nu b^\mu+p_{12}^\mu b^\nu}{b\cdot p_{12}}\right]
\eeq
In the collinear limit $\rho_{12}\rightarrow 0$ so that $p_1=z p_{12}$, $p_2=(1-z) p_{12}$ we get
\beqa
J^\mu(P_{12})&=&J^\nu(12)\left[\epsilon_\nu^-(p_{12})\epsilon_\mu^+(p_{12})+\epsilon_\nu^+(p_{12})\epsilon_\mu^-(p_{12}) \right]\nonumber\\
&=&\left(J(12)\cdot\epsilon^-(p_{12})\right)\epsilon_\mu^+(p_{12})+\left(J(12)\cdot\epsilon^+(p_{12})\right)\epsilon_\mu^-(p_{12})\nonumber\\
&=&P^{+}(z)\epsilon^+_\mu(p_{12})+P^{-}(z)\epsilon^-_\mu(p_{12})
\eeqa
For example
\beqa
P^+(z)&=&J(1^+2^+)\cdot\epsilon^-(p_{12})\nonumber\\
&=&\frac{{p_{12}}_{\dot AC}b^Cb_B}{\langle b1\rangle\langle 12\rangle\langle 2b\rangle}\frac{b^{\dot A}p_{12}^B}{[bp_{12}]}\nonumber\\
&=&\frac{[bp_{12}]\langle bp_{12}\rangle^2}{\sqrt{z(1-z)}\langle 12\rangle[bp_{12}]\langle bp_{12}\rangle^2}\nonumber\\
&=&\frac{1}{\langle 12\rangle}\frac{1}{\sqrt{z(1-z)}}
\eeqa
This generalizes straightforward to a triple-collinear limit
\beqa
J^\mu(P_{123})&=&J^\nu(123)\left[\epsilon_\nu^-(p_{123})\epsilon_\mu^+(p_{123})+\epsilon_\nu^+(p_{123})\epsilon_\mu^-(p_{123}) \right]\nonumber\\
&=&\left(J(123)\cdot\epsilon^-(p_{123})\right)\epsilon_\mu^+(p_{123})+\left(J(123)\cdot\epsilon^+(p_{123})\right)\epsilon_\mu^-(p_{123})\nonumber\\
&=&P^{+}(z_1,z_2)\epsilon^+_\mu(p_{123})+P^{-}(z_1,z_2)\epsilon^-_\mu(p_{123})
\eeqa
where $p_1=z_1p_{123}$, $p_2=z_2p_{123}$ and $p_3=z_3p_{123}$ with $z_1+z_2+z_3=1$. For example
\beqa
P^+(z_1,z_2)&=&J(1^+2^+3^+)\cdot\epsilon^-(p_{123})\nonumber\\
&=&\frac{{p_{123}}_{\dot AC}b^Cb_B}{\langle b1\rangle\langle 12\rangle\langle 23\rangle\langle 3b\rangle}\frac{b^{\dot A}p_{123}^B}{[bp_{123}]}\nonumber\\
&=&\frac{[bp_{123}]\langle bp_{123}\rangle^2}{\sqrt{z_1(1-z_1-z_2)}\langle 12\rangle\langle 23\rangle[bp_{123}]\langle bp_{123}\rangle^2}\nonumber\\
&=&\frac{1}{\langle 12\rangle\langle 23\rangle}\frac{1}{\sqrt{z_1(1-z_1-z_2)}}
\eeqa

For this particular helicity configuration it generalizes easily to the $n$-collinear limit we have
\beqa
P^+(z_1,z_2,\ldots,z_{n-1})&=&J(1^+2^+\cdots n^+)\cdot\epsilon^-(p_{12\cdots n})\nonumber\\
&=&\frac{{p_{12\cdots n}}_{\dot AC}b^Cb_B}{\langle b1\rangle\langle 12\rangle\langle 23\rangle\cdots\langle (n-1)n\rangle\langle nb\rangle}
\frac{b^{\dot A}p_{12\cdots n}^B}{[bp_{12\cdots n}]}\nonumber\\
&=&\frac{[bp_{12\cdots n}]\langle bp_{12\cdots n}\rangle^2}{\sqrt{z_1(1-z_1-z_2-\cdots-z_{n-1})}\langle 12\rangle\langle 23\rangle\cdots\langle (n-1)n\rangle
[bp_{12\cdots n}]\langle bp_{12\cdots n}\rangle^2}\nonumber\\
&=&\frac{1}{\langle 12\rangle\langle 23\rangle\cdots\langle (n-1)n\rangle}\frac{1}{\sqrt{z_1(1-z_1-z_2-\cdots-z_{n-1})}}
\eeqa
Other helicity configurations are calculated straightforwardly using the recursively defined currents.

\section{Generalized subtraction}

We try to derive the antenna subtraction function with as much of the physics stripped away.
The subtraction is based on extracting the residues of the poles in the rational function.

Consider the rational function
\beq
A(y_1,y_2,\ldots,y_n)=\frac{f(y_1,y_2,\cdots,y_n)}{y_1y_2\cdots y_n}
\eeq
We will construct a subtraction function $S_n$ such that $A_n-S_n$ is finite/zero for a set of $m$ of the $y_i$ goes to zero
which we will call $m$-pole here.

The 1-pole function in variable $y_i$ gives
\beqa
f(\ldots,y_i,\ldots)&=&\left[f(\ldots,y_i,\ldots)-f(\ldots,0,\ldots)\right]+f(\ldots,0,\ldots)\nonumber\\
&=&f_+^{(i)}(\ldots,y_i,\ldots)+{\cal Z}_if(\ldots,y_i,\ldots)
\eeqa
where we introduced the operator
\beq
{\cal Z}_if()=\lim_{y_i\rightarrow 0}f(\ldots,y_i,\ldots)=f(\ldots,0,\ldots)
\eeq
and
\beq
f_+^{(i)}()=f_+^{(i)}(\ldots,y_i,\ldots)=(1-{\cal Z}_i)f(\ldots,y_i,\ldots)={\cal R}_if(\ldots,y_i,\ldots)
\eeq
Because ${\cal Z}_i^2={\cal Z}_i$ we easily see that ${\cal Z}_i{\cal R}_i=0$ and hence
\beq
A_+^{(i)}(y_1,y_2,\cdots,y_n)=\frac{f_+^{(i)}(y_1,y_2,\cdots,y_n)}{y_1y_2\cdots y_n}
\eeq
is finite as $y_i\rightarrow 0$ with the subtraction function ${\cal Z}_if(\ldots,y_i,\ldots)$


We generalize this to the 2-pole function in variables $y_i$ and $y_j$:
\beq
f()=(1-{\cal Z}_{ij})f()+{\cal Z}_{ij}f()={\cal R}_{ij}f()+{\cal Z}_{ij}f()=f_+^{(ij)}()+{\cal Z}_{ij}f()
\eeq
where
\beq
{\cal Z}_{ij}={\cal Z}_i{\cal Z}_j+{\cal Z}_i{\cal R}_j+{\cal Z}_j{\cal R}_i={\cal Z}_i+{\cal Z}_j-{\cal Z}_i{\cal Z}_j
\eeq
All we need to show is that ${\cal Z}_i{\cal R}_{ij}=0$, or ${\cal Z}_i{\cal Z}_{ij}={\cal Z}_i$,  to prove that $A_+^{(ij)}()$ given in
\beq
A()=A_+^{(ij)}()+S_{ij}()=\frac{{\cal R}_{ij}f()}{y_1\cdots y_n}+\frac{{\cal Z}_{ij}f()}{y_1\cdots y_n}
\eeq
is finite for $y_i\rightarrow 0$ and/or $y_j\rightarrow 0$.

This is easily shown using ${\cal Z}_i^2={\cal Z}_i$, ${\cal Z}_i{\cal Z}_j={\cal Z}_j{\cal Z}_i$ and ${\cal Z}_i{\cal R}_i=0$
\beqa
{\cal Z}_i{\cal Z}_{ij}&=&{\cal Z}_i\left({\cal Z}_i{\cal Z}_j+{\cal Z}_i{\cal R}_j+{\cal Z}_j{\cal R}_i\right)={\cal Z}_i\left({\cal Z}_j+{\cal R}_j\right)={\cal Z}_i
\eeqa

The 3-pole function in variables $y_i$, $y_j$ and $y_k$:
\newline
We propose the subtraction function based one the previous case
\beq
f()=(1-{\cal Z}_{ijk})f()+{\cal Z}_{ijk}f()={\cal R}_{ijk}f()+{\cal Z}_{ijk}f()=f_+^{(ijk)}()+{\cal Z}_{ijk}f()
\eeq
where
\beqa
{\cal Z}_{ijk}&=&{\cal Z}_i{\cal Z}_j{\cal Z}_k+{\cal Z}_i{\cal Z}_j{\cal R}_k+{\cal Z}_i{\cal Z}_k{\cal R}_j
+{\cal Z}_j{\cal Z}_k{\cal R}_i+{\cal Z}_i{\cal R}_{jk}+{\cal Z}_j{\cal R}_{ik}+{\cal Z}_k{\cal R}_{ij}\nonumber\\
&=&{\cal Z}_i{\cal Z}_j{\cal Z}_k-{\cal Z}_i{\cal Z}_j-{\cal Z}_i{\cal Z}_k-{\cal Z}_j{\cal Z}_k+{\cal Z}_i+{\cal Z}_j+{\cal Z}_k
\eeqa
We easily verify that ${\cal Z}_i{\cal Z}_{ijk}={\cal Z}_i$, i.e. ${\cal Z}_i{\cal R}_{ijk}=0$. 
Then it follows immediately that ${\cal Z}_i{\cal Z}_j{\cal R}_{ijk}=0$ and ${\cal Z}_i{\cal Z}_j{\cal Z}_k{\cal R}_{ijk}=0$.

We can now generalize the subtractions to $m$-poles in $y_{i_1}\cdots y_{i_m}$
First we observe that 
\beqa
{\cal Z}_{ij}&=&1-{\cal R}_i{\cal R}_j\nonumber\\
{\cal Z}_{ijk}&=&1-{\cal R}_i{\cal R}_j{\cal R}_k\nonumber\\
\eeqa
This result should not surprise us as ${\cal R}_i{\cal R}_j{\cal R}_k\,f()$ is obviously zero for any combination of $y_i$, $y_j$ and $y_k$ go
to zero. In other words ${\cal R}_{ijk}={\cal R}_i{\cal R}_j{\cal R}_k$.
This gives a simple generalization for the $m$-pole subtraction
\beqa
{\cal Z}_{i_1\cdots i_m}&=&1-\prod_{k=1}^m \left(1-{\cal Z}_{i_k}\right)\nonumber\\
&=&{\cal Z}_{i_m}+(1-{\cal Z}_{i_m}){\cal Z}_{i_1\cdots i_{m-1}}
\eeqa
The correctness is trivial as ${\cal Z}_{i_1}{\cal R}_{i_1\cdots i_m}={\cal Z}_{i_1}(1-{\cal Z}_{i_1})\prod_{k=2}^m (1-{\cal Z}_{i_k})=0$.
In general we can now define the factorization of an (ordered) amplitude ${\cal A}_n()$ as follows
\beqa
{\cal A}_n()&=&\frac{f()}{y_1y_2\cdots y_n}=\frac{\left(Z_{i_1\cdots i_m}+\prod_{k=1}^m R_{i_k}\right)f()}{y_1y_2\cdots y_n}
={\cal A}_+^{i_1\cdots i_m}()+\mbox{Ant}^{i_1\cdots i_m}(){\cal A}_{\mbox{\tiny Born}}()\nonumber\\
{\cal A}_+^{i_1\cdots i_m}()&=&\frac{\left(\prod_{k=1}^m R_{i_k}\right)f()}{y_1y_2\cdots y_n}\nonumber\\
\mbox{Ant}^{i_1\cdots i_m}(){\cal A}_{\mbox{\tiny Born}}&=&\frac{Z_{i_1\cdots i_m}f()}{y_1y_2\cdots y_n}
\eeqa
where ${\cal A}_+^{i_1\cdots i_m}$ is finite under all limits where a combination of the $y_{i_k}\rightarrow 0$ ($k\leq m$). 

Now we will allow the minimal physics consideration which is related to the pole structure of
the amplitude rational function. Here we must realize that the amplitude is a function of 4-vectors.
This is exposed when we look at a collinear limit, e.g. $s_{12}=(p_1+p_2)^2=0$ has the parametrization $p_1=z_1p_a$, $p_2=z_2p_a$ where $z_1+z_2=1$
such that $s_{x1}=z_1 s_{xa}$ and $s_{2y}=z_2 s_{ay}$. This will require some consideration as we have to do more than simply demading a set
of propagators to be zero in the numerators to calculate the residue function.

\subsection{Single Pole}

The single pole antenna function is simply the splitting function. Consider the amplitude ${\cal A}(a1b\cdots)$. Then
\beq
\mbox{Ant}_{(a1)}(y_{a1}y_{1b})=\frac{{\cal Z}_{(a1)}{\cal A}(a1b\cdots)}{{\cal A}_{\mbox{\tiny Born}}(\hat{a}b\cdots)}=\frac{1}{d_{a1b}y_{a1}}\left(\frac{z^4+(1-z)^4+1}{z(1-z)}\right)
\eeq
where $d_{a1b}y_{ij}=d_{ij}$ and $z=E_1/\hat E_a=d_{1b}/d_{a1b}=y_{1b}$ such that
\beq
\mbox{Ant}_{(a1)}(y_{a1}y_{1b})=\frac{1}{d_{a1b}}\left(\frac{y_{1b}^4+(1-y_{1b})^4+1}{y_{a1}y_{1b}(1-y_{1b})}\right)
\eeq
\subsection{One-gluon unresolved}

Here we have the double pole in the invariants $y_{a1}$ and $y_{1b}$ (other combinations lead to 2-gluon unresolved).
We note that
\beq
\mbox{Ant}_{(1b)}(y_{a1}y_{1b})=\frac{1}{d_{a1b}}\left(\frac{y_{a1}^4+(1-y_{a1})^4+1}{y_{1b}y_{a1}(1-y_{a1})}\right)
\eeq
and
\beq
\frac{{\cal Z}_{(1b)}{\cal Z}_{(a1)}{\cal A}(a1b\cdots)}{{\cal A}_{\mbox{\tiny Born}}(\hat a\hat b\cdots)}
=\frac{{\cal Z}_{(a1)}{\cal Z}_{(1b)}{\cal A}(a1b\cdots)}{{\cal A}_{\mbox{\tiny Born}}(\hat a\hat b\cdots)}
=\lim_{y_{a1}\rightarrow 0}\mbox{Ant}_{(1b)}=\frac{1}{d_{a1b}}\left(\frac{2}{y_{a1}y_{1b}}\right)
\eeq
The 1-gluon unresolved antenna function is given by
\beqa
\mbox{Ant}_{(a1)(1b)}&=&\frac{{\cal Z}_{(a1)(1b)}{\cal A}(a1b\cdots)}{{\cal A}_{\mbox{\tiny Born}}(\hat a\hat b\cdots)}
=\frac{\left({\cal Z}_{(a1)}+{\cal Z}_{(1b)}-{\cal Z}_{(a1)}{\cal Z}_{(1b)}\right){\cal A}(a1b\cdots)}{{\cal A}_{\mbox{\tiny Born}}(\hat a\hat b\cdots)}\nonumber\\
&=&\frac{\left({\cal Z}_{(a1)}{\cal Z}_{(1b)}+({\cal Z}_{(a1)}-{\cal Z}_{(a1)}{\cal Z}_{(1b)})+({\cal Z}_{(1b)}-{\cal Z}_{(a1)}{\cal Z}_{(1b)})\right)
{\cal A}(a1b\cdots)}{{\cal A}_{\mbox{\tiny Born}}(\hat a\hat b\cdots)}\nonumber\\
&=&\frac{1}{d_{a1b}}\left(\frac{1}{y_{a1}}B(y_{1b})+\frac{1}{y_{1b}}B(y_{a1})\right)
\eeqa
with
\beq
B(y)=\frac{1}{y}+\frac{y^3+1}{1-y}-3+3y-y^2
\eeq
\subsection{Two-gluon unresolved}

We consider the antenna function
\beq
{\cal A}(a12b\cdots)\rightarrow\mbox{Ant}(a12b){\cal A}_{\mbox{\tiny Born}}(\hat a\hat b\cdots)
\eeq
Instead of using all possible 2-particle invariants as a basis, we replace them with the cyclic set of invariants which is more
convenient to identify the pole structure of ordered amplitudes. That is, instead of the set $\{y_{a1},y_{a2},y_{1b},y_{2b},y_{ab}\}$
we use the set $\{y_{a1},y_{12},y_{2b},y_{a12},y_{12b}\}$. This readily generalizes to an arbitrary number of particles.

We will decompose the amplitude into 4 different 2-gluon unresolved terms depending on the pole structure (we neglect here the single unresolved
terms and independent double unresolved).
\beq
{\cal A}(a12b\cdots)=\frac{f_{a12b}}{y_{a1}y_{12}y_{2b}}+\frac{f_{a12}}{y_{a1}y_{12}y_{a12}}+\frac{f_{12b}}{y_{12}y_{2b}y_{12b}}+\frac{f_{a1}f_{2b}}{y_{a1}y_{2b}}+\cdots
\eeq
The limit $s_{a1}\rightarrow 0$, $s_{12}\rightarrow 0$ and $s_{2b}\rightarrow 0$ can only happen in the double soft limit
(i.e. $E_1\rightarrow 0$ and $E_2\rightarrow 0$).
The limit $s_{a12}\rightarrow 0$ is reached by both the triple collinear and double soft limit.
The limit $s_{a12}\rightarrow 0$ is particularly simple as the amplitude is factorized into two amplitudes in the following manner
\beqa
\lim_{s_{a12}\rightarrow 0}{\cal A}(a12b\cdots)&=&\frac{G_\mu(a12)G^{\mu}(b\cdots)}{s_{a12}}=\frac{{\cal A}(a12b){\cal A}(\hat a\hat b\cdots)}{s_{a12}}\nonumber\\
&=&\mbox{Ant}_{a12}(y_{a1},y_{12},y_{a12}){\cal A}_{\mbox{\tiny Born}}(\hat a\hat b\cdots)\nonumber\\
\eeqa
where $\hat k_a=k_a+k_1+k_2$ and $\hat k_b=k_b$. We see the antenna function which contains the full triple collinear contribution and part of the double soft limit is simply
the 4-parton amplitude (with $\hat k_a^2=0$ and can optionally be simplified using the soft limit in the numerator). The helicity dependent expressions are
\beqa
G_{\dot AB}(a^+1^+2^+)&=&0 \nonumber \\
G_{\dot AB}(a^+1^+2^-)&=&\left(\frac{[a1]^2\langle\hat a2\rangle^2}{s_{a1}s_{12}s_{a12}}\right)\frac{\varepsilon^+_{\hat a\dot AB}(k_2)}{s_{a12}}
=\left(\frac{\langle\hat a2\rangle^4}{\langle a1\rangle\langle 12\rangle\langle 2\hat a\rangle\langle\hat aa\rangle}\right)\frac{\varepsilon^+_{\hat a\dot AB}(k_2)}{s_{a12}}
\nonumber \\
G_{\dot AB}(a^+1^-2^+)&=&\left(\frac{[a2]^2\langle\hat a1\rangle^2}{s_{a1}s_{12}s_{a12}}\right)\frac{\varepsilon^+_{\hat a\dot AB}(k_1)}{s_{a12}}
=\left(\frac{\langle\hat a1\rangle^4}{\langle a1\rangle\langle 12\rangle\langle 2\hat a\rangle\langle\hat aa\rangle}\right)\frac{\varepsilon^+_{\hat a\dot AB}(k_1)}{s_{a12}}
\nonumber \\
G_{\dot AB}(a^-1^+2^+)&=&\left(\frac{[12]^2\langle\hat aa\rangle^2}{s_{a1}s_{12}s_{a12}}\right)\frac{\varepsilon^+_{\hat a\dot AB}(k_a)}{s_{a12}}
=\left(\frac{\langle\hat aa\rangle^4}{\langle a1\rangle\langle 12\rangle\langle 2\hat a\rangle\langle\hat aa\rangle}\right)\frac{\varepsilon^+_{\hat a\dot AB}(k_a)}{s_{a12}} 
\nonumber \\
\eeqa
where $\varepsilon^+_{\hat a\dot AB}(b)=\hat k_{a\dot A} b_B/\langle\hat ab\rangle$. In the double soft limit we have $\hat k_a\rightarrow k_a$ giving
\beqa
G_{\dot AB}(a^+1^+2^+)&=&0 \nonumber \\
G_{\dot AB}(a^+1^+2^-)&\rightarrow&\left(\frac{[a1]^2\langle a2\rangle^2}{s_{a1}s_{12}s_{a12}}\right)\frac{\varepsilon^+_{a\dot AB}(k_2)}{s_{a12}}\nonumber \\
G_{\dot AB}(a^+1^-2^+)&\rightarrow&\left(\frac{[a2]^2\langle a1\rangle^2}{s_{a1}s_{12}s_{a12}}\right)\frac{\varepsilon^+_{a\dot AB}(k_1)}{s_{a12}}\nonumber \\
G_{\dot AB}(a^-1^+2^+)&\rightarrow&0\nonumber \\
\eeqa
which agrees with the term in the double soft eikonal.

What is left of the double soft limit is the term not containing the 3-particle poles, given by
\beq
\mbox{Ant}_{a12b}(y_{a1},y_{12},y_{2b})=\frac{k_a\cdot F_1\cdot F_2\cdot k_b}{y_{a1}y_{12}y_{2b}}
\eeq
(where $\hat k_a=k_a$ and $\hat k_b=k_b$).
giving us the antenna function containing both the double soft and triple collinear subtraction terms (might be some factors of two missing atm). 
The independent double collinear associated with the double pole $1/(y_{a1}y_{2b}$ is simply the product of two single pole antenna functions 
$A_{a1}(z_{a1})\times A_{2b}(z_{2b}$ resulting in the ordered double unresolved antenna function
\beq
\mbox{Ant}(a;12;b)=\mbox{Ant}_{a12b}+\mbox{Ant}_{a12}+\mbox{Ant}_{12b}+\mbox{Ant}_{a1}(z_{a1})\times\mbox{Ant}_{2b}(z_{2b})
\eeq
(Are we double counting or do I need to subtract some terms like in the NLO antenna function?)

















\section{Obsolete stuff}

We first going over the notation and extensions in the Kosower paper.
The currents are defined as $J^\mu(12\cdots n-1)=J^\mu(12\cdots n-1;0)$
with the offshell momentum $k_n=-(k_1+\cdots+k_{n-1})$. The current is generalized to $J^\mu(12\cdots n-1;k_y)$ 
with the offshell momentum $k_n=-ky-(k_1+\cdots+k_{n-1})$ or $k_n=-k_y-K_{1,n-1}$. The addition of a non-zero momentum
$k_y$ violates momentum conservation.

The recurrence relation is given by
\beqa\lefteqn{
J^\mu(1\cdots n;\alpha_{1,n}k_y)=\frac{1}{K_{1,n}}}\nonumber \\
&&\left[
\sum_{j=1}^{n-1}V_3^{\mu\nu\rho}(K_{1,j}+\alpha_{1,j}k_y,K_{j+1,n}+\alpha_{j+1,,}k_y,-(K_{1,n}+\alpha_{1,n}K_y))
%\nonumber \\&& \phantom{xxxxx}\times 
J_\nu(1\cdots j_1;\alpha_{1,j_1}k_y) J_\rho(j_1+1\cdots n;\alpha_{j_1+1,n}k_y)\right.\nonumber \\
&&+\sum_{j_1=1}^{n-2}\sum_{j_2=j_1+1}^{n-1} V_4^{\mu\nu\rho\lambda}J_\nu(1\cdots j_1;\alpha_{1,j_1}k_y) J_\rho(j_1+1\cdots j_2;\alpha_{j_1+1,j_2}k_y)
 J_\lambda(j_2+1\cdots n;\alpha_{j_2+1,j_n}k_y)\nonumber \\
\eeqa
where $\alpha_{1,n}=\alpha_1+\cdots+\alpha_n$
and $J^\mu(k;\alpha_1 k_y)=\varepsilon^\mu(k)$

\appendix

\section*{Appendices}

\section{Subtraction functions at NNLO}

Types of subtraction functions most relevant at NNLO:
\begin{itemize}
\item Antenna subtraction functions, see~\cite{Kosower:2002su}. Antenna functions exist on amplitude level.
\item Laurent expansion generated subtraction functions, see~\cite{Czakon:2010td,Caola:2017dug}. This method uses
the amplitude squared expressions. This method is also knows as the sector decomposition method.
\end {itemize}
(We do not consider slicing methods such as jettiness.)

\section {Antenna functions at NLO}

\subsection{Kosower method}

Here we will use the paper~\cite{Kosower:2002su}. The core idea here is that the soft/collinear functions is 
continuated away from the singularity by keeping all external momenta on-shell. 

We will now derive the antenna function. 
Note that the flavor content of the amplitude is not relevant for the derivation of the antenna function. It works for any set of particles.
We start with NLO. Here we consider particle 1 becoming soft/collinear in the ordered amplitude
\beqa\label{ampdecom}
m(a,1,b,2,\ldots,n)&=&\frac{J_v(a,1)P^{vw}(k_{\tilde a})J_w(b,2,\cdots,n)}{s_{a1}}+\frac{J_v(1,b)P^{vw}(k_{\tilde b})J_w(2,\cdots,n,a)}{s_{1b}}
\nonumber\\ &+&\ \mbox{finite terms}
\eeqa
where $k_{\tilde a}=k_a+k_1$, $k_{\tilde b}=k_1+k_b$. The propagator numerator $P^{vw}$ can be spinorial or bosonic i.e. 
\beq\label{lightgauge}
P^{\mu\nu}(k)=-g^{\mu\nu}+(b^\mu k^\nu+k^\mu b^\nu)/k\cdot b);\ P_{ij}(k)=\slash\hspace{-0.20cm} k_{ij}\pm m
\eeq
The finite terms are the non-singular terms.

We define the on-shell momentum  $k_{\hat a/\hat b}=Q_{\hat a/\hat b}(k_a,k_1,k_b)$ such that $k_{\hat a/\hat b}^2=0$, $k_{\hat a}+k_{\hat b}+k_a+k_1+k_b=0$
and has the following limits in the soft/collinear limit
\beqa\label{momlim}
s_{a1}=0,\, s_{1b}\neq 0&:&\ k_{\hat a}=-k_a,\ k_{\hat b}=-(k_1+k_b)\nonumber \\
s_{a1}\neq 0,\, s_{1b}= 0&:&\ k_{\hat a}=-(k_a+k_1),\ k_{\hat b}=-k_b\nonumber \\
s_{a1}=0,\, s_{1b}= 0&:&\ k_{\hat a}=-k_a,\ k_{\hat b}=-k_b
\eeqa
By replacing the off-shell momenta flowing through the propagator terms in eq.~\ref{ampdecom} with the on-shell momenta we obtain the amplitude
\beqa\label{baseant}
\hat m(a,1,b,2,\ldots,n)&=&\left(\frac{m(a,1,\hat a)m(b,\hat b)}{s_{a1}}+\frac{m(1,b,\hat b)m(a,\hat a)}{s_{1b}}\right)\, m(\hat a,\hat b,2,\ldots,n)\nonumber\\
&=&{\cal A}(a,1,b;\hat a,\hat b)\, m(\hat a,\hat b,2,\ldots,n)
\eeqa
where we used the dyadic decomposition of the propagator term for massless momentum flow ($P_{vw}(k)=\sum_\lambda J_v^\lambda(k)J_w^{-\lambda}(k)$).
The three-particle amplitudes are given by $m(a,1,\hat a)=J_\mu(a,1)\epsilon^\mu(k_{\hat a})$, $m(1,b,\hat b)=J_\mu(1,b)\epsilon^\mu(k_{\hat b})$
for gluons and $m(a,1,\hat a)=J_i(a,1)u^i(k_{\hat a})$, $m(1,b,\hat b)=J_i(1,b)u^i(k_{\hat b})$ for fermions. 
The three particle amplitudes are non-zero because it has no momentum
conservation which also means it is not unique except in the soft/collinear limit which recovers momentum conservation). 
Using the limits
in eq.~\ref{momlim} it is easy to verify that in the soft/collinear limits $(m-\tilde m)\rightarrow 0$ as long as the vector function 
$Q_{\hat a/\hat b}(k_a,k_1,k_b)$ is not introducing additional singularities . The non-uniqueness of $\hat m$ reflects the fact that the
antenna function is not unique away from the soft/collinear limit. A further complication is that without momentum conservation 
the antenna function in eq.~\ref{baseant} is not gauge invariant. This means that the choice of helicity vector will change the antenna 
function away from the soft/collinear limits. Particular care has to be taken with this gauge choice as it can now introduce divergencies
due to the fact the gauge pole will not be canceled. That is the denominator term $b.k$ in eq.~\ref{lightgauge} 
will only cancel if the expression is gauge invariant. So we should not choose $b=k_{a/b}$, leaving us with the only choices $b=k_{\hat a/\hat b}$.


This leaves the final step constructing the momenta $k_{\hat a/\hat b}$. This is needed fot the calculation of the antenna functions.
 We can copy the results from~\cite{Kosower:2002su} and verify
numerically the correctness.

\subsection{Czakon-Melnikov method}

Here we will use the papers~\cite{Czakon:2010td,Caola:2017dug}. 
This method has many advantages over the previous method and is most easily used at the amplitude
squared level, but equally can be applied on the amplitude level. It only uses the exact soft and collinear factored functions.

We define the soft and collinear operators
\beq
\lim_{E_i\rightarrow 0} M=S_i M;\ \lim_{\rho_{ij}\rightarrow 0} M=C_{ij} M
\eeq
where $\rho_{ij}=1-\vec{n}_i\cdot\vec{n}_j$ and $p_i=E_i(\vec{n}_i,1)$.
We have as limits on amplitude squared level
\beqa\label{softcolop}
S_1 M(a1b\cdots)&\sim&\frac{s_{ab}}{s_{a1}s_{1b}} M(ab\cdots)\nonumber \\
C_{a1} M(a1b\cdots)&\sim& \frac{P_{a1\rightarrow \hat a}(z_a=s_{a\hat b}/s_{\hat a\hat b})}{s_{a1}} M((a+1)b\cdots)\nonumber \\
C_{1b} M(a1b\cdots)&\sim& \frac{P_{1b\rightarrow \hat a}(z_b=s_{\hat a b}/s_{\hat a\hat b})}{s_{1b}} M(a(b+1)\cdots)
\eeqa
where $k_a=z_a\times k_{\hat a}$, $k_1=(1-z_a)\times k_{\hat a}$ and $k_b=z_b\times k_{\hat b}$, $k_1=(1-z_b)\times k_{\hat b}$

Then we can perform the following two-step decomposition when gluon 1 becomes soft/collinear
\beqa
M(a1b\cdots) &=& S_1 M(a1b\cdots)+(1-S_i) M(a1b\cdots) \nonumber\\
             &=& S_1 M(a1b\cdots)+(C_{a1}+C_{1b})(1-S_1)M(a1b\cdots)+F(a1b\cdots)
\eeqa
with
\beqa\label{NLOfin}
F(a1b\cdots) &=& (1-C_{a1}-C_{1b})(1-S_1)M(a1b\cdots) \nonumber\\
&=& M(a1b\cdots)-(S_1+C_{a1}+C_{1b}-(C_{a1}+C_{1b})S_1) M(a1b\cdots) \nonumber\\
&\equiv&M(a1b\cdots)-{\cal A}(a1b) M(\hat a\hat b\cdots)
\eeqa
where $F$ is zero in the soft/collinear limit. We need to define the born term with the hatted momenta of 
the previous section (eq.~\ref{momlim}). (Note that instead of a subtraction function we can bave a multiplicative regulator function
$(1-C_{a1}-C_{1b})\times (1-S_1)$ which forces the matrix element to zero in the soft/collinear function. 
The antenna function is given by
\beq
{\cal A}(a1b;\hat a\hat b)=\frac{(S_1+C_{a1}+C_{1b}-(C_{a1}+C_{1b})S_1)M(a1b\cdots)}{M(\hat a\hat b\cdots)}
\eeq

Note that we do not need the explicit construction of $k_{\hat a/\hat b}$ for this moethod. With forward branching we can use
the shower $2\rightarrow 3$ branching to generate $k_a$, $k_1$ and $k_b$ from the given $k_{\hat a}$ and $k_{\hat b}$.
Furthermore with this method the subtraction function is contructed from gauge invariant physical building blocks defined
by the soft and collinear limits. Also we do not have to fiddle with momentum conservation arguments. The off-shell
continuation is accomplished by defining $z_{a/b}$ over the entire phase space (many options possible). Furthermore non-singular finite
terms can be added to the soft and collinear operators in eq.~\ref{softcolop}. 
The antenna function is a rational function of the invariants which is easily derived given the eikonal function and the AP splitting functions
\beq
{\cal A}(a1b;\hat a\hat b)\rightarrow \frac{s_{ab}}{s_{a1}s_{1b}}+\frac{P_{a1}(z_a)}{s_{a1}}+\frac{P_{1b}(z_b)}{s_{1b}}
              -\left(\frac{z_a}{1-z_a}\right)\frac{1}{s_{a1}}-\left(\frac{z_b}{1-z_b}\right)\frac{1}{s_{1b}}
\eeq
with a choice of $z_{a/b}$ in terms of invariants (e.g. $z_a=s_{a\hat b}/s_{\hat a\hat b}$ and $z_b=s_{\hat a b}/s_{\hat a\hat b})$.\newline 
({\it I did this quickly but it looks ok, might be some subtelties I overlooked.})

As the soft and collinear operators are also known at amplitude level as helicity dependent operators the above method will also
work on amplitude level, giving in addition helicity dependent branchings.

\subsection{Method 3}

The Czakon-Melnikov method hints to an even simpler and direct derivation of the antenna function
which is oblivious about the . 

The most general form of the antenna function is
\beq
{\cal A}(a1b;\hat a\hat b)=\frac{a_{ab}}{s_{a1}s_{1b}}+\frac{c_{a1}}{s_{a1}}+\frac{c_{1b}}{s_{1b}}+X
\eeq
where $a_{ab}$, $a_{a1}$, $a_{1b}$ and $X$ are finite in the soft/collinear limits.
To constrain these terms we take the three possible unresolved limits.
First the soft limit
\beqa
\lim_{E_1\rightarrow 0} s_{a1}s_{1b}M(a1b\cdots)&=&s_{ab}M(\hat a\hat b\cdots)\nonumber\\
\lim_{E_1\rightarrow 0} s_{a1}s_{1b}{\cal A}(a1b;\hat a\hat b)&=&a_{ab}
\eeqa
where $k_{\hat a}=k_a$ and $k_{\hat b}=k_b$. We see now that $a_{ab}=s_{ab}$.

For the collinear limits we get
\beqa
\lim_{\rho_{a1}\rightarrow 0} s_{a1}M(a1b\cdots)&=&P_{a1}(z_a) M(\hat a\hat b\cdots)\nonumber\\
\lim_{\rho_{a1}\rightarrow 0} s_{a1}{\cal A}(a1b;\hat a\hat b)&=&\frac{s_{ab}}{s_{1b}}+c_{a1}=c_{a1}+\frac{z_a}{1-z_a}
\eeqa
where $k_{\hat a}=k_a+k_1$, $k_{\hat b}=k_b$ and $k_1=(1-z_a) k_{\hat a}$, $k_a=z_a k_{\hat a}$ and $z_a=s_{a\hat b}/s_{\hat a\hat b}=s_{ab}/s_{\hat a\hat b}$.  
We can now read off $c_{a1}=P_{a1}-z_a/(1-z_a)$. The other collinear limit is obtained by exchanging $k_a and k_{b}$, resulting in
$c_{1b}=P_{1b}-z_b/(1-z_b)$ with $z_b=s_{ab}/s_{\hat a\hat b}$

This gives us the final result
\beq
{\cal A}(a1b;\hat a\hat b)=\frac{s_{ab}}{s_{a1}s_{1b}}+\frac{P_{a1}(z)}{s_{a1}}+\frac{P_{1b}(z)}{s_{1b}}
              -\left(\frac{z}{1-z}\right)\frac{1}{s_{a1}}-\left(\frac{z}{1-z}\right)\frac{1}{s_{1b}} + X
\eeq
with $z=s_{ab}/s_{\hat a\hat b}$ and $X$ and arbitrary finite term.

\subsection{Method 3 on amplitude level for all flavor cases}

Let us derive the amplitude level antenna functions in a structured manner so we can generalize it to the
double unresolved cases.

Define the amplitude level soft and collinear factorisation
\beqa
\lim_{E_1\rightarrow 0} m(a1b\cdots) &=& S(a1b)\,m(\hat a\hat b\cdots);\ p_{\hat a}=p_a,\ p_{\hat b}=p_b\nonumber \\
\lim_{\rho_{a1}\rightarrow 0} m(a1b\cdots) &=& P_{\hat a\leftarrow a1}(z_a)\,m(\hat a\hat b\cdots);\ p_{\hat a}=p_a+p_1,\ p_{\hat b}=p_b,\ 
z_a=\frac{p_1\cdot p_{\hat b}}{p_{\hat a}\cdot p_{\hat b}}\nonumber \\
\lim_{\rho_{1b}\rightarrow 0} m(a1b\cdots) &=& P_{\hat b\leftarrow 1b}(z_b)\,m(\hat a\hat b\cdots);\ p_{\hat a}=p_a,\ p_{\hat b}=p_1+p_b,\ 
z_b=\frac{p_1\cdot p_{\hat a}}{p_{\hat b}\cdot p_{\hat a}}\nonumber \\
\eeqa

We define the antenna function
\beq
{\cal A}(a1b;\hat a\hat b)=S(a1b)+P_{\hat a\leftarrow a1}(z_a)+P_{\hat b\leftarrow 1b}(z_b)+\cdots
\eeq
This will have the correct leading singularity (i.e. the soft singularity). However there is an overlapping singularity in the 
non-leading collinear limits because the soft eikonal will contribute in the collinear limit at a non-leading singularity. This is
easily fixed
\beq
{\cal A}(a1b;\hat a\hat b)=S(a1b)+\left(P_{\hat a\leftarrow a1}(z_a)-\lim_{\rho_{a1}\rightarrow 0}S(a1b)\right)
+\left(P_{\hat b\leftarrow 1b}(z_b)-\lim_{\rho_{1b}\rightarrow 0}S(a1b)\right)+\cdots
\eeq
Per construction this expression will have the correct leading and sub-leading limits. That is
\beqa
\lim_{E_1\rightarrow 0} E_1^2 {\cal A}(a1b;\hat a\hat b)&=&E_1^2 S(a1b)\nonumber\\
\lim_{\rho_{a1}\rightarrow 0} \rho_{a1} {\cal A}(a1b;\hat a\hat b)&=&\rho_{a1} P_{\hat a\leftarrow a1}(z_a)\nonumber\\
\lim_{\rho_{1b}\rightarrow 0} \rho_{1b} {\cal A}(a1b;\hat a\hat b)&=&\rho_{1b} P_{\hat b\leftarrow 1b}(z_b)
\eeqa
Note that we ignore a possible issue with the  $\lim_{\rho_{a1}\rightarrow 0}(\lim_{\rho_{1b}\rightarrow 0} S_{a1b})$ term.
This is not a limit which can be reached in the physical phase space as $s_{ab}$ is not zero. (If it
turns out to be an issue then the subtraction terms need to be phase space restricted. But the Chakon-Melnikov expression
does not have this particular term either.)

We are now ready to put in the flavor explicit expressions and we start with the single-unresolved case in a gluon-gluon sector antenna.
The amplitude level soft and collinear limits are given by~\cite{Berends:1987me,Berends:1988zn}
\beqa
S^{gg}(a1^\lambda b)&=&\frac{p_a\cdot F_1^\lambda\cdot p_b}{p_a\cdot p_1\, p_1\cdot p_b};\ 
S^{gg}(a1^+b)=\sqrt{2}\frac{\langle ab\rangle}{\langle a1\rangle\langle 1b\rangle};\
S^{gg}(a1^-b)=\sqrt{2}\frac{[ ab ]}{[ a1 ][ 1b ]} \nonumber \\
P_{\hat a^+\leftarrow a^+1^+}(z_a)&=&\frac{\sqrt{2}}{\langle a1\rangle}\frac{1}{\sqrt{z_a(1-z_a)}};\ 
P_{\hat a^+\leftarrow a^-1^-}(z_a)=0 \nonumber \\ 
P_{\hat a^+\leftarrow a^+1^-}(z_a)&=&\frac{\sqrt{2}}{[a1]}\sqrt{\frac{(1-z_a)^3}{z_a}};\ 
P_{\hat a^+\leftarrow a^-1^+}(z_a)=\frac{\sqrt{2}}{[a1]}\sqrt{\frac{z_a^3}{(1-z_a)}} 
\eeqa
and for the subtraction term
\beq
\lim_{\rho_{a1}\rightarrow 0} S^{gg}(a1^+b)=\lim_{\rho_{a1}\rightarrow 0} \sqrt{2}\frac{\langle ab\rangle}{\langle a1\rangle\langle 1b\rangle}
=\frac{\sqrt{2}}{\langle a1\rangle}\sqrt{\frac{(1-z_a)}{z_a}}
\eeq
giving us the helicity dependent antenna functions
\beqa
{\cal A}^{gg\rightarrow ggg}(a^+1^+b^+;\hat a^+\hat b^+)&=&\sqrt{2}\left(\frac{\langle ab\rangle}{\langle a1\rangle\langle 1b\rangle} 
+\frac{1}{\langle a1\rangle}\sqrt{\frac{z_a}{1-z_a}}+\frac{1}{\langle 1b\rangle}\sqrt{\frac{z_b}{1-z_b}}
\right)\nonumber\\
\eeqa
This expression is well defined. 
\newline
{\it (Note:However, we can try to remove the $z_{a/b}$ in favor of spinor products.
At amplitude level there is some ambiguity how to choose $\sqrt{z_a}$ and $\sqrt{1-z_a}$. Let us introduce the complex variable $y$
such that $z_a=|y_a|^2$. Then we can define $p_1^B=y_1 p_{\hat a}^B$, $p_1^{\dot B}=(y_1)^* p_{\hat a}^{\dot B}$ and
$p_a^B=y_a p_{\hat a}^B$, $p_a^{\dot B}=(y_a)^* p_{\hat a}^{\dot B}$ with $|y_1|^2+|y_a|^2=1$. Then $y_1=\langle 1\hat b\rangle/\langle \hat a\hat b\rangle$
and $y_a=\langle a\hat b\rangle/\langle \hat a\hat b\rangle$. This path seems to lead to trouble.)}
\newline


Next we move on to a quark-gluon antenna

And finally the quark-antiquark antenna gives

\section {Antenna functions at NNLO}

\subsection{Kosower method}

\subsection{Czakon-Melnikov method}

The papers ~\cite{Czakon:2010td,Caola:2017dug} seem overly complex for NNLO in the case to extract an antenna function.
The reason is at NNLO they use sectors. I.e. the subtraction function depends on the location in phase space.

There are several operators representing possible unresolved configurations:
the double unresolved configurations:
\beqa
S_{ij} A &=& \lim_{E_i,E_j\rightarrow 0} A\ \mbox{with}\ E_j/E_i\ \mbox{fixed} \nonumber \\
C_{ij}^{(k)} A &=& \lim_{\rho_{ik},\rho_{jk}\rightarrow 0} A\ \mbox{with non-vanishing}\ \rho_{ik}/\rho_{jk}, \rho_{ij}/\rho_{ik}, \rho_{ij}/\rho_{jk}.  
\eeqa
and the single unresolved configurations:
\beqa
S_i A &=& \lim_{E_i\rightarrow 0} A \nonumber \\
C_{ij} A &=& \lim_{\rho_{ij}\rightarrow 0} A 
\eeqa
and for the ordered amplitude $M(a12b\cdots)$ we can make an anzatz and generalize the finite function in eq.~\ref{NLOfin}.
\beq
F(a12b\cdots)=(1-C_{a1}-C_{12}-C_{2b})(1-C_{12}^{(a)}-C_{12}^{(b)})(1-S_1-S_2)(1-S_{12}) M(a12b\cdots)
\eeq
All we need to do is show that $F$ goes to zero for all singularities of the unresolved gluons 1 and two in the given ordering.
After that the antenna function is easily determined.

\subsection{Method 3}

We have the 2-gluon unresolved limits
\beqa
m(a12b\cdots)&\rightarrow&{\cal A}(a12b;\hat a\hat b) m(\hat a\hat b\cdots) \nonumber\\
m(a12b\cdots)&\rightarrow&{\cal A}(a1b;\hat a\hat b){\cal A}(c2d;\hat c\hat d) m(\hat a\hat b\cdots\hat c\hat d\cdots)
\eeqa
The single unresolved functions ${\cal A}(a1b;\hat a\hat b)$ are already derived. This leaves us with the double unresolved
antenna function ${\cal A}(a12b;\hat a\hat b)$.

Given the 2-soft eikonal (see~\cite{Berends:1988zn}) 
\beqa
\lim_{E_1, E_2\rightarrow 0} m(a12b\cdots)&=&S_{ab}(12)\times m(ab\cdots)\nonumber \\
S_{ab}(12)&=&\frac{k_a\cdot F_1\cdot F_2\cdot k_b}{s_{a1}s_{12}s_{2b}}
           -\frac{k_a\cdot F_1\cdot F_2\cdot k_a}{s_{a1}s_{12}s_{a12}}
           -\frac{k_b\cdot F_1\cdot F_2\cdot k_b}{s_{12}s_{2b}s_{12b}}
\eeqa
where $F_1^{\mu\nu}=k_1^{\mu}\epsilon_1^{\nu}-\epsilon_1^{\mu}k_1^{\nu}$ (${F_1^{\mu\nu}}^+\sigma_{\mu}^{\dot AB}\sigma_{\nu}^{A\dot B}=k_1^{A}k_1^{B}\epsilon^{\dot A\dot B}$
and ${F_1^{\mu\nu}}^-\sigma_{\mu}^{\dot AB}\sigma_{\nu}^{A\dot B}=k_1^{\dot A}k_1^{\dot B}\epsilon^{AB}$)
And the collinear limits we can determine the double unresolved~\cite{Campbell:1997hg}
\beqa
\lim_{\rho_{a1}, \rho_{12}\rightarrow 0} m(a12b\cdots)&=&\frac{P_{a12\rightarrow\hat a}(z,y)}{s_{a1}s_{12}s_{a12}}\times m(\hat ab\cdots);\ 
k_1=zk_{\hat a},\ k_2=yk_{\hat a},\ k_a=(1-z-y)k_{\hat a}\nonumber \\
\lim_{\rho_{12}, \rho_{2b}\rightarrow 0} m(a12b\cdots)&=&\frac{P_{12b\rightarrow\hat a}(z,y)}{s_{12}s_{2b}s_{12b}}\times m(a\hat b\cdots);\
k_1=zk_{\hat b},\ k_2=yk_{\hat b},\ k_b=(1-z-y)k_{\hat b}\nonumber \\
\lim_{\rho_{a1}, \rho_{2b}\rightarrow 0} m(a12b\cdots)&=&\frac{P_{a1\rightarrow\hat a}(z)}{s_{a1}}\frac{P_{2b\rightarrow\hat b}(y)}{s_{2b}}\times m(\hat a\hat b\cdots);
\nonumber \\
&&\         k_1=zk_{\hat a},\ k_a=(1-z)k_{\hat a},\ k_2=yk_{\hat b},\ k_b=(1-y)k_{\hat b}
\eeqa
 
Finally there are two soft/collinear limits within this antenna, namely 
$k_1\rightarrow 0$, $\rho_{2b}\rightarrow 0$ and $k_2\rightarrow 0$, $\rho_{a1}\rightarrow 0$
\beqa\label{indeplim}
\lim_{E_1,\rho_{2b}\rightarrow 0} m(a12b\cdots)&=&S_{a2}(1)\frac{P_{2b\rightarrow\hat b}(z)}{s_{2b}}\times m(a\hat b\cdots);\ 
k_2=zk_{\hat b},\ k_b=(1-z)k_{\hat b}\nonumber \\
\lim_{\rho_{a1},E_2\rightarrow 0} m(a12b\cdots)&=&\frac{P_{a1\rightarrow\hat a}(z)}{s_{2b}}S_{1b}(2)\times m(\hat ab\cdots);\ 
k_1=zk_{\hat a},\ k_a=(1-z)k_{\hat a}
\eeqa
The above are all the possible 2-particle unresolved limits from which we can build the antenna function.

We start the antenna function including the most singular term, i.e. the double soft limit
\beq
{\cal A}(a12b;\hat a\hat b)=S_{ab(12)}+\cdots
\eeq
where $\cdots$ represent the less singular contributions. Next we add the triple collinear contribution. The double soft term
will also give a contribution in this limit (just as in the single unresolved limit)
\beqa
{\cal A}(a12b;\hat a\hat b)&=&S_{ab(12)}\nonumber \\
&&+\left(\frac{P_{a12\rightarrow\hat a}(z_a,y_a)}{s_{a1}s_{12}s_{a12}}-\lim_{\rho_{a1},\, \rho_{12}\rightarrow 0} S_{ab}(12)\right)
 + \left(\frac{P_{12b\rightarrow\hat a}(z_b,y_b)}{s_{12}s_{2b}s_{12b}}-\lim_{\rho_{12},\, \rho_{2b}\rightarrow 0} S_{ab}(12)\right)
\nonumber\\
&&+\cdots\nonumber \\
&=&S_{ab(12)}+\frac{\tilde P_{a12\rightarrow\hat a}(z_a,y_a)}{s_{a1}s_{12}s_{a12}}+\frac{\tilde P_{12b\rightarrow\hat a}(z_b,y_b)}{s_{12}s_{2b}s_{12b}}+\cdots
\eeqa
We still have the mixed soft/collinear divergencies to include. To do this we will make an anzatz which we will need to check explicitly
\beqa
{\cal A}(a12b;\hat a\hat b)
&=&S_{ab(12)}+\frac{\tilde P_{a12\rightarrow\hat a}(z_a,y_a)}{s_{a1}s_{12}s_{a12}}+\frac{\tilde P_{12b\rightarrow\hat a}(z_b,y_b)}{s_{12}s_{2b}s_{12b}}\nonumber\\
&&+{\cal A}(a12;\hat a\hat 2){\cal A}(a\hat 2b;\hat a\hat{\hat b})-S_{a2}(1)S_{ab}(2)
+{\cal A}(12b;\hat 1\hat b){\cal A}(a\hat 1b;\hat{\hat a}\hat b)-S_{1b}(2)S_{ab}(1)+\cdots\nonumber \\
&=&\tilde S_{ab(12)}+\frac{\tilde P_{a12\rightarrow\hat a}(z_a,y_a)}{s_{a1}s_{12}s_{a12}}+\frac{\tilde P_{12b\rightarrow\hat a}(z_b,y_b)}{s_{12}s_{2b}s_{12b}}
\nonumber \\&&+{\cal A}(a12;\hat a\hat 2){\cal A}(a\hat 2b;\hat a\hat{\hat b})+{\cal A}(12b;\hat 1\hat b){\cal A}(a\hat 1b;\hat{\hat a}\hat b)+\cdots
\eeqa
where we subtract the strongly ordered soft limits as they are already included in $S_{ab}(12)$ and move the subtracted terms into
$S_{ab}(12)\rightarrow\tilde S_{ab}(12)$. Note the remaining term is finite under the double unresolved limits in the antenna $(ab)$.

This is the ansatz for the amplitude level antenna function and we can calculate it choosing explicit helicities.
There will still be some issues with overlapping singularities to be sorted out related to the limits of eq.~\ref{indeplim}
but this will not fundamentally alter the result. 
We still need to derive the triple collinear splitting function. The antenna function needs to be numerically checked.

By looking at the 6-gluon amplitude we can numerically check the double unresolved
antenna function. The relevant part of the 6-gluon amplitude is given by~\cite{Berends:1987cv}
\beq
m(123456)=\frac{A}{s_{12}s_{23}s_{123}s_{45}s_{56}}+\frac{B}{s_{23}s_{34}s_{234}s_{56}s_{61}}+\frac{C}{s_{34}s_{45}s_{345}s_{61}s_{12}}
         +\frac{D}{s_{12}s_{23}s_{34}s_{45}s_{56}s_{61}}
\eeq


\bibliographystyle{JHEP}
\bibliography{subtractions.bib}
\end{document}


%%  LocalWords:  hadronic
